org.eclipse.microprofile.config.tck

## Class CDIPlainInjectionTest.DynamicValuesBean

- java.lang.Object
- - org.eclipse.microprofile.config.tck.CDIPlainInjectionTest.DynamicValuesBean

Enclosing class:
  CDIPlainInjectionTest

    @Dependent
    public static class CDIPlainInjectionTest.DynamicValuesBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DynamicValuesBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getIntProperty()`
`String` `getStringSupplierProperty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicValuesBean

    public DynamicValuesBean()

### Method Detail

#### getIntProperty

    public Integer getIntProperty()

#### getStringSupplierProperty

    public String getStringSupplierProperty()